[Overview][Types][Classes][Variables][Index] | Reference for unit 'Printers' (#lcl)

# TPrinter.DoEnumPrinters

Performs actions needed to populate the specified list with available printers.

## Declaration

Source position: printers.pas line 274

`protected procedure TPrinter.DoEnumPrinters(`
`Lst: TStrings`
`); virtual;`

## Arguments

`Lst` |  | TStrings instance where names for defined printers are stored.

## Description

DoEnumPrinters is a virtual procedure used to performs actions needed to populate the list in Lst with the printers available in the class instance. DoEnumPrinters has an empty implementation in TPrinter. It must be overridden in a descendent class to perform the actions required for the implementation.

Remark: | The method must ensure that the first printer (stored at position 0) in Lst is the "default" printer for the operating system / widgetset / printer-related technology.

DoEnumPrinters is called from the GetPrinters method, and passes the member for the Printers property as the list storage for the method.

## See also

TPrinter.Printers |  | Contains the names for devices that can be selected for printing.